Update organization member
curl --request PATCH \
--url {schemes}://api.upsun.com/organizations/{organization_id}/members/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"permissions": []
}
'import requests
url = "{schemes}://api.upsun.com/organizations/{organization_id}/members/{user_id}"
payload = { "permissions": [] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({permissions: []})
};
fetch('{schemes}://api.upsun.com/organizations/{organization_id}/members/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permissions": [
"admin"
],
"level": "admin",
"owner": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"_links": {
"self": {
"href": "<string>"
},
"update": {
"href": "<string>",
"method": "<string>"
},
"delete": {
"href": "<string>",
"method": "<string>"
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Organization Members
Update organization member
Updates the specified organization member.
PATCH
/
organizations
/
{organization_id}
/
members
/
{user_id}
Update organization member
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the organization.
The ID of the user.
Example:
"d81c8ee2-44b3-429f-b944-a33ad7437690"
Body
application/json
The organization member permissions.
Available options:
admin, billing, members, plans, projects:create, projects:list Response
OK
The ID of the user.
The ID of the organization.
The ID of the user.
The organization member permissions.
Available options:
admin, billing, members, plans, projects:create, projects:list Access level of the member.
Available options:
admin, viewer Whether the member is the organization owner.
The date and time when the member was created.
The date and time when the member was last updated.
Show child attributes
Show child attributes
Last modified on June 16, 2026
Was this page helpful?